Bug 242559 - ObsoleteFiles.inc: missing /usr/include/pcap/export-defs.h
Summary: ObsoleteFiles.inc: missing /usr/include/pcap/export-defs.h
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-10 22:23 UTC by John Hein
Modified: 2019-12-15 04:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2019-12-10 22:23:17 UTC
/usr/include/pcap/export-defs.h is old after the 20180528 libpcap update.

Also applies to 11 & 12.

Index: ObsoleteFiles.inc
===================================================================
--- ObsoleteFiles.inc   (revision 354607)
+++ ObsoleteFiles.inc   (working copy)
@@ -1280,6 +1280,8 @@
 OLD_FILES+=usr/share/nls/ru_RU.KOI8-R/grep.cat
 OLD_FILES+=usr/share/nls/uk_UA.UTF-8/grep.cat
 OLD_FILES+=usr/share/nls/ja_JP.UTF-8/grep.cat
+# 20180528: remove pcap/export-defs.h
+OLD_FILES+=usr/include/pcap/export-defs.h
 # 20180517: retire vxge
 OLD_FILES+=usr/share/man/man4/if_vxge.4.gz
 OLD_FILES+=usr/share/man/man4/vxge.4.gz
Comment 1 Ed Maste freebsd_committer 2019-12-12 03:54:19 UTC
Committed to HEAD in r355638, unsure why the commit was not appended to the PR automatically.

commit cc48f7e194c04e915ab1d9fa55d0dd8cec695532
Author: emaste <emaste@FreeBSD.org>
Date:   Thu Dec 12 00:51:08 2019 +0000

    ObsoleteFiles.inc: chase libpcap update in r334277
    
    libpcap 1.9.0 (pre-release) update removed the export-defs.h header.
    
    PR:             242559
    Submitted by:   John Hein
    MFC after:      3 days

Notes:
    svn path=/head/; revision=355638
Comment 2 commit-hook freebsd_committer 2019-12-15 04:18:28 UTC
A commit references this bug:

Author: emaste
Date: Sun Dec 15 04:18:19 UTC 2019
New revision: 355767
URL: https://svnweb.freebsd.org/changeset/base/355767

Log:
  MFC r355638: ObsoleteFiles.inc: chase libpcap update in r334277

  libpcap 1.9.0 (pre-release) update removed the export-defs.h header.

  PR:		242559
  Submitted by:	John Hein

Changes:
_U  stable/12/
  stable/12/ObsoleteFiles.inc
Comment 3 commit-hook freebsd_committer 2019-12-15 04:21:29 UTC
A commit references this bug:

Author: emaste
Date: Sun Dec 15 04:20:57 UTC 2019
New revision: 355768
URL: https://svnweb.freebsd.org/changeset/base/355768

Log:
  MFC r355638:    ObsoleteFiles.inc: chase libpcap update in r334277

  libpcap 1.9.0 (pre-release) update removed the export-defs.h header.

  PR:		242559
  Submitted by:	John Hein

Changes:
_U  stable/11/
  stable/11/ObsoleteFiles.inc
Comment 4 Ed Maste freebsd_committer 2019-12-15 04:22:03 UTC
Thank you for the submission!